package com.Wunschkonzert.App;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "com.Wunschkonzert.App", "com.Wunschkonzert.App.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "com.Wunschkonzert.App", "com.Wunschkonzert.App.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "com.Wunschkonzert.App.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}



public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = main.mostCurrent.processBA.sharedProcessBA.activityBA.get();
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

}
public static class _data{
public boolean IsInitialized;
public String Titel;
public String Interpret;
public String Tonart;
public String Songbook;
public String Seite;
public String Genre;
public String Sprache;
public String Spielbar;
public void Initialize() {
IsInitialized = true;
Titel = "";
Interpret = "";
Tonart = "";
Songbook = "";
Seite = "";
Genre = "";
Sprache = "";
Spielbar = "";
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.net.FTPWrapper _ftp = null;
public static String _phone_name = "";
public static String _version_type = "";
public static String _schlager = "";
public static String _songname = "";
public anywheresoftware.b4a.objects.ListViewWrapper _listview1 = null;
public anywheresoftware.b4a.objects.collections.List _list1 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imageview1 = null;
public anywheresoftware.b4a.objects.PanelWrapper _panel1 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button4 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button5 = null;
public anywheresoftware.b4a.objects.PanelWrapper _panel2 = null;
public anywheresoftware.b4a.objects.StringUtils _su = null;
public static String[] _inti = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button3 = null;
public com.Wunschkonzert.App.main._data _spalte = null;
public static String _von = "";
public static String _bis = "";
public static String _wann = "";
public static int _wieoft = 0;
public anywheresoftware.b4a.objects.collections.List _list2 = null;
public static String[] _parms = null;
public static int _zz = 0;
public static boolean _erstemal = false;
public static String _app_name = "";
public static String _work_path = "";
public static String _fname = "";
public static String _windowtitle = "";
public static String _sort_type = "";
public anywheresoftware.b4a.objects.IME _ime = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
RDebugUtils.currentLine=131074;
 //BA.debugLineNum = 131074;BA.debugLine="Activity.LoadLayout(\"Layout1\")";
mostCurrent._activity.LoadLayout("Layout1",mostCurrent.activityBA);
RDebugUtils.currentLine=131075;
 //BA.debugLineNum = 131075;BA.debugLine="app_name = Activity.Title";
mostCurrent._app_name = BA.ObjectToString(mostCurrent._activity.getTitle());
RDebugUtils.currentLine=131076;
 //BA.debugLineNum = 131076;BA.debugLine="app_name = app_name.Replace(\"VERSION\",\"V1.24\")";
mostCurrent._app_name = mostCurrent._app_name.replace("VERSION","V1.24");
RDebugUtils.currentLine=131077;
 //BA.debugLineNum = 131077;BA.debugLine="Activity.Title = app_name";
mostCurrent._activity.setTitle((Object)(mostCurrent._app_name));
RDebugUtils.currentLine=131078;
 //BA.debugLineNum = 131078;BA.debugLine="IME.Initialize(\"IME\")";
mostCurrent._ime.Initialize("IME");
RDebugUtils.currentLine=131079;
 //BA.debugLineNum = 131079;BA.debugLine="Activity.AddMenuItem(\"Über ...\", \"CopyRight\")";
mostCurrent._activity.AddMenuItem("Über ...","CopyRight");
RDebugUtils.currentLine=131080;
 //BA.debugLineNum = 131080;BA.debugLine="Activity.AddMenuItem(\"Hilfe\", \"Hilfe\")";
mostCurrent._activity.AddMenuItem("Hilfe","Hilfe");
RDebugUtils.currentLine=131081;
 //BA.debugLineNum = 131081;BA.debugLine="Activity.AddMenuItem(\"Version ändern\", \"Versio";
mostCurrent._activity.AddMenuItem("Version ändern","Version");
RDebugUtils.currentLine=131082;
 //BA.debugLineNum = 131082;BA.debugLine="Activity.AddMenuItem(\"Schlager filtern\", \"Schl";
mostCurrent._activity.AddMenuItem("Schlager filtern","Schlager");
RDebugUtils.currentLine=131083;
 //BA.debugLineNum = 131083;BA.debugLine="ImageView1.Bitmap = LoadBitmap(File.DirAssets,";
mostCurrent._imageview1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"logo_neu_klein_sw.jpg").getObject()));
RDebugUtils.currentLine=131084;
 //BA.debugLineNum = 131084;BA.debugLine="Panel1.Visible = False";
mostCurrent._panel1.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=131085;
 //BA.debugLineNum = 131085;BA.debugLine="phone_name = GetDeviceId";
_phone_name = _getdeviceid();
RDebugUtils.currentLine=131086;
 //BA.debugLineNum = 131086;BA.debugLine="InitLayout";
_initlayout();
RDebugUtils.currentLine=131088;
 //BA.debugLineNum = 131088;BA.debugLine="If FirstTime Then";
if (_firsttime) { 
RDebugUtils.currentLine=131089;
 //BA.debugLineNum = 131089;BA.debugLine="List1.Initialize";
mostCurrent._list1.Initialize();
RDebugUtils.currentLine=131090;
 //BA.debugLineNum = 131090;BA.debugLine="version_type = \"people\" '1.08/1.19 auf music";
_version_type = "people";
RDebugUtils.currentLine=131091;
 //BA.debugLineNum = 131091;BA.debugLine="schlager = \"mit\" '1.16/1.19 umgestellt auf mi";
_schlager = "mit";
RDebugUtils.currentLine=131092;
 //BA.debugLineNum = 131092;BA.debugLine="Activity.Title = app_name & \" - Publikum - mit S";
mostCurrent._activity.setTitle((Object)(mostCurrent._app_name+" - Publikum - mit Schlager"));
RDebugUtils.currentLine=131093;
 //BA.debugLineNum = 131093;BA.debugLine="erstemal = True";
_erstemal = anywheresoftware.b4a.keywords.Common.True;
 }else {
RDebugUtils.currentLine=131097;
 //BA.debugLineNum = 131097;BA.debugLine="If version_type = \"music\" AND schlager = \"o";
if ((_version_type).equals("music") && (_schlager).equals("ohne")) { 
RDebugUtils.currentLine=131098;
 //BA.debugLineNum = 131098;BA.debugLine="Activity.Title = app_name & \" - Musiker -";
mostCurrent._activity.setTitle((Object)(mostCurrent._app_name+" - Musiker - ohne Schlager"));
 };
RDebugUtils.currentLine=131100;
 //BA.debugLineNum = 131100;BA.debugLine="If version_type = \"music\" AND schlager = \"m";
if ((_version_type).equals("music") && (_schlager).equals("mit")) { 
RDebugUtils.currentLine=131101;
 //BA.debugLineNum = 131101;BA.debugLine="Activity.Title = app_name & \" - Musiker -";
mostCurrent._activity.setTitle((Object)(mostCurrent._app_name+" - Musiker - mit Schlager"));
 };
RDebugUtils.currentLine=131103;
 //BA.debugLineNum = 131103;BA.debugLine="If version_type = \"people\" AND schlager = \"";
if ((_version_type).equals("people") && (_schlager).equals("ohne")) { 
RDebugUtils.currentLine=131104;
 //BA.debugLineNum = 131104;BA.debugLine="Activity.Title = app_name & \" - Publikum -";
mostCurrent._activity.setTitle((Object)(mostCurrent._app_name+" - Publikum - ohne Schlager"));
 };
RDebugUtils.currentLine=131106;
 //BA.debugLineNum = 131106;BA.debugLine="If version_type = \"people\" AND schlager = \"";
if ((_version_type).equals("people") && (_schlager).equals("mit")) { 
RDebugUtils.currentLine=131107;
 //BA.debugLineNum = 131107;BA.debugLine="Activity.Title = app_name & \" - Publikum -";
mostCurrent._activity.setTitle((Object)(mostCurrent._app_name+" - Publikum - mit Schlager"));
 };
 };
RDebugUtils.currentLine=131111;
 //BA.debugLineNum = 131111;BA.debugLine="Download 'Liste downloaden";
_download();
RDebugUtils.currentLine=131113;
 //BA.debugLineNum = 131113;BA.debugLine="End Sub";
return "";
}
public static String  _getdeviceid() throws Exception{
RDebugUtils.currentModule="main";
anywheresoftware.b4a.agraham.reflection.Reflection _r = null;
int _api = 0;
int _id = 0;
RDebugUtils.currentLine=1638400;
 //BA.debugLineNum = 1638400;BA.debugLine="Sub GetDeviceId As String";
RDebugUtils.currentLine=1638401;
 //BA.debugLineNum = 1638401;BA.debugLine="Dim r As Reflector";
_r = new anywheresoftware.b4a.agraham.reflection.Reflection();
RDebugUtils.currentLine=1638402;
 //BA.debugLineNum = 1638402;BA.debugLine="Dim Api As Int";
_api = 0;
RDebugUtils.currentLine=1638403;
 //BA.debugLineNum = 1638403;BA.debugLine="Api = r.GetStaticField(\"android.os.Build$VERSIO";
_api = (int)(BA.ObjectToNumber(_r.GetStaticField("android.os.Build$VERSION","SDK_INT")));
RDebugUtils.currentLine=1638404;
 //BA.debugLineNum = 1638404;BA.debugLine="If Api < 9 Then";
if (_api<9) { 
RDebugUtils.currentLine=1638406;
 //BA.debugLineNum = 1638406;BA.debugLine="If File.Exists(File.DirInternal, \"__id\") The";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"__id")) { 
RDebugUtils.currentLine=1638407;
 //BA.debugLineNum = 1638407;BA.debugLine="Return File.ReadString(File.DirInternal,";
if (true) return anywheresoftware.b4a.keywords.Common.File.ReadString(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"__id");
 }else {
RDebugUtils.currentLine=1638409;
 //BA.debugLineNum = 1638409;BA.debugLine="Dim id As Int";
_id = 0;
RDebugUtils.currentLine=1638410;
 //BA.debugLineNum = 1638410;BA.debugLine="id = Rnd(0x10000000, 0x7FFFFFFF)";
_id = anywheresoftware.b4a.keywords.Common.Rnd((int) (0x10000000),(int) (0x7fffffff));
RDebugUtils.currentLine=1638411;
 //BA.debugLineNum = 1638411;BA.debugLine="File.WriteString(File.DirInternal, \"__id\"";
anywheresoftware.b4a.keywords.Common.File.WriteString(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"__id",BA.NumberToString(_id));
RDebugUtils.currentLine=1638412;
 //BA.debugLineNum = 1638412;BA.debugLine="Return id";
if (true) return BA.NumberToString(_id);
 };
 }else {
RDebugUtils.currentLine=1638416;
 //BA.debugLineNum = 1638416;BA.debugLine="Return r.GetStaticField(\"android.os.Build\",";
if (true) return BA.ObjectToString(_r.GetStaticField("android.os.Build","SERIAL"));
 };
RDebugUtils.currentLine=1638418;
 //BA.debugLineNum = 1638418;BA.debugLine="End Sub";
return "";
}
public static String  _initlayout() throws Exception{
RDebugUtils.currentModule="main";
float _wb = 0f;
RDebugUtils.currentLine=1572864;
 //BA.debugLineNum = 1572864;BA.debugLine="Sub InitLayout";
RDebugUtils.currentLine=1572865;
 //BA.debugLineNum = 1572865;BA.debugLine="Dim wb As Float";
_wb = 0f;
RDebugUtils.currentLine=1572868;
 //BA.debugLineNum = 1572868;BA.debugLine="If Activity.Width > Activity.Height Then";
if (mostCurrent._activity.getWidth()>mostCurrent._activity.getHeight()) { 
RDebugUtils.currentLine=1572869;
 //BA.debugLineNum = 1572869;BA.debugLine="wb = 100%y / 4";
_wb = (float) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)/(double)4);
RDebugUtils.currentLine=1572871;
 //BA.debugLineNum = 1572871;BA.debugLine="Panel2.Left = 100%x - wb";
mostCurrent._panel2.setLeft((int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA)-_wb));
RDebugUtils.currentLine=1572872;
 //BA.debugLineNum = 1572872;BA.debugLine="Panel2.Width = wb";
mostCurrent._panel2.setWidth((int) (_wb));
RDebugUtils.currentLine=1572873;
 //BA.debugLineNum = 1572873;BA.debugLine="Panel2.Top = 0";
mostCurrent._panel2.setTop((int) (0));
RDebugUtils.currentLine=1572874;
 //BA.debugLineNum = 1572874;BA.debugLine="Panel2.Height = 100%y";
mostCurrent._panel2.setHeight(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA));
RDebugUtils.currentLine=1572876;
 //BA.debugLineNum = 1572876;BA.debugLine="Button1.Left = 0";
mostCurrent._button1.setLeft((int) (0));
RDebugUtils.currentLine=1572877;
 //BA.debugLineNum = 1572877;BA.debugLine="Button1.Width = wb";
mostCurrent._button1.setWidth((int) (_wb));
RDebugUtils.currentLine=1572878;
 //BA.debugLineNum = 1572878;BA.debugLine="Button1.Top = 0";
mostCurrent._button1.setTop((int) (0));
RDebugUtils.currentLine=1572879;
 //BA.debugLineNum = 1572879;BA.debugLine="Button1.Height = wb";
mostCurrent._button1.setHeight((int) (_wb));
RDebugUtils.currentLine=1572881;
 //BA.debugLineNum = 1572881;BA.debugLine="Button2.Left = 0";
mostCurrent._button2.setLeft((int) (0));
RDebugUtils.currentLine=1572882;
 //BA.debugLineNum = 1572882;BA.debugLine="Button2.Width = wb";
mostCurrent._button2.setWidth((int) (_wb));
RDebugUtils.currentLine=1572883;
 //BA.debugLineNum = 1572883;BA.debugLine="Button2.Top = wb";
mostCurrent._button2.setTop((int) (_wb));
RDebugUtils.currentLine=1572884;
 //BA.debugLineNum = 1572884;BA.debugLine="Button2.Height = wb";
mostCurrent._button2.setHeight((int) (_wb));
RDebugUtils.currentLine=1572886;
 //BA.debugLineNum = 1572886;BA.debugLine="Button3.Left = 0";
mostCurrent._button3.setLeft((int) (0));
RDebugUtils.currentLine=1572887;
 //BA.debugLineNum = 1572887;BA.debugLine="Button3.Width = wb";
mostCurrent._button3.setWidth((int) (_wb));
RDebugUtils.currentLine=1572888;
 //BA.debugLineNum = 1572888;BA.debugLine="Button3.Top = 2 * wb";
mostCurrent._button3.setTop((int) (2*_wb));
RDebugUtils.currentLine=1572889;
 //BA.debugLineNum = 1572889;BA.debugLine="Button3.height = wb";
mostCurrent._button3.setHeight((int) (_wb));
RDebugUtils.currentLine=1572891;
 //BA.debugLineNum = 1572891;BA.debugLine="Button5.Left = 0";
mostCurrent._button5.setLeft((int) (0));
RDebugUtils.currentLine=1572892;
 //BA.debugLineNum = 1572892;BA.debugLine="Button5.Width = wb";
mostCurrent._button5.setWidth((int) (_wb));
RDebugUtils.currentLine=1572893;
 //BA.debugLineNum = 1572893;BA.debugLine="Button5.Top = 3 * wb";
mostCurrent._button5.setTop((int) (3*_wb));
RDebugUtils.currentLine=1572894;
 //BA.debugLineNum = 1572894;BA.debugLine="Button5.Height = wb";
mostCurrent._button5.setHeight((int) (_wb));
RDebugUtils.currentLine=1572896;
 //BA.debugLineNum = 1572896;BA.debugLine="ImageView1.Left = 10%x";
mostCurrent._imageview1.setLeft(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
RDebugUtils.currentLine=1572897;
 //BA.debugLineNum = 1572897;BA.debugLine="ImageView1.Width = 75%x - wb";
mostCurrent._imageview1.setWidth((int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (75),mostCurrent.activityBA)-_wb));
RDebugUtils.currentLine=1572898;
 //BA.debugLineNum = 1572898;BA.debugLine="ImageView1.Top = 0%y";
mostCurrent._imageview1.setTop(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (0),mostCurrent.activityBA));
RDebugUtils.currentLine=1572899;
 //BA.debugLineNum = 1572899;BA.debugLine="ImageView1.Height = 30%y";
mostCurrent._imageview1.setHeight(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (30),mostCurrent.activityBA));
RDebugUtils.currentLine=1572901;
 //BA.debugLineNum = 1572901;BA.debugLine="ListView1.Left = 5%x";
mostCurrent._listview1.setLeft(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (5),mostCurrent.activityBA));
RDebugUtils.currentLine=1572902;
 //BA.debugLineNum = 1572902;BA.debugLine="ListView1.Width = 90%x - wb";
mostCurrent._listview1.setWidth((int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (90),mostCurrent.activityBA)-_wb));
RDebugUtils.currentLine=1572903;
 //BA.debugLineNum = 1572903;BA.debugLine="ListView1.Top = ImageView1.Height";
mostCurrent._listview1.setTop(mostCurrent._imageview1.getHeight());
RDebugUtils.currentLine=1572904;
 //BA.debugLineNum = 1572904;BA.debugLine="ListView1.Height = 100%y - ListView1.Top";
mostCurrent._listview1.setHeight((int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)-mostCurrent._listview1.getTop()));
RDebugUtils.currentLine=1572906;
 //BA.debugLineNum = 1572906;BA.debugLine="ListView1.SinglelineLayout.Label.Height = 12%y";
mostCurrent._listview1.getSingleLineLayout().Label.setHeight(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (12),mostCurrent.activityBA));
RDebugUtils.currentLine=1572907;
 //BA.debugLineNum = 1572907;BA.debugLine="ListView1.SinglelineLayout.Label.Top = 0";
mostCurrent._listview1.getSingleLineLayout().Label.setTop((int) (0));
 }else {
RDebugUtils.currentLine=1572911;
 //BA.debugLineNum = 1572911;BA.debugLine="wb = 100%x / 4";
_wb = (float) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA)/(double)4);
RDebugUtils.currentLine=1572913;
 //BA.debugLineNum = 1572913;BA.debugLine="Panel2.left = 0";
mostCurrent._panel2.setLeft((int) (0));
RDebugUtils.currentLine=1572914;
 //BA.debugLineNum = 1572914;BA.debugLine="Panel2.Width = 100%x";
mostCurrent._panel2.setWidth(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA));
RDebugUtils.currentLine=1572915;
 //BA.debugLineNum = 1572915;BA.debugLine="Panel2.Top = 100%y - wb / 1.75";
mostCurrent._panel2.setTop((int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)-_wb/(double)1.75));
RDebugUtils.currentLine=1572916;
 //BA.debugLineNum = 1572916;BA.debugLine="Panel2.Height = wb / 1.75";
mostCurrent._panel2.setHeight((int) (_wb/(double)1.75));
RDebugUtils.currentLine=1572918;
 //BA.debugLineNum = 1572918;BA.debugLine="Button1.Left = 0";
mostCurrent._button1.setLeft((int) (0));
RDebugUtils.currentLine=1572919;
 //BA.debugLineNum = 1572919;BA.debugLine="Button1.Width = wb";
mostCurrent._button1.setWidth((int) (_wb));
RDebugUtils.currentLine=1572920;
 //BA.debugLineNum = 1572920;BA.debugLine="Button1.Top = 0";
mostCurrent._button1.setTop((int) (0));
RDebugUtils.currentLine=1572921;
 //BA.debugLineNum = 1572921;BA.debugLine="Button1.Height = wb / 1.75";
mostCurrent._button1.setHeight((int) (_wb/(double)1.75));
RDebugUtils.currentLine=1572923;
 //BA.debugLineNum = 1572923;BA.debugLine="Button2.Left = wb";
mostCurrent._button2.setLeft((int) (_wb));
RDebugUtils.currentLine=1572924;
 //BA.debugLineNum = 1572924;BA.debugLine="Button2.Width = wb";
mostCurrent._button2.setWidth((int) (_wb));
RDebugUtils.currentLine=1572925;
 //BA.debugLineNum = 1572925;BA.debugLine="Button2.Top = 0";
mostCurrent._button2.setTop((int) (0));
RDebugUtils.currentLine=1572926;
 //BA.debugLineNum = 1572926;BA.debugLine="Button2.Height = wb / 1.75";
mostCurrent._button2.setHeight((int) (_wb/(double)1.75));
RDebugUtils.currentLine=1572928;
 //BA.debugLineNum = 1572928;BA.debugLine="Button3.Left = 2 * wb";
mostCurrent._button3.setLeft((int) (2*_wb));
RDebugUtils.currentLine=1572929;
 //BA.debugLineNum = 1572929;BA.debugLine="Button3.Width = wb";
mostCurrent._button3.setWidth((int) (_wb));
RDebugUtils.currentLine=1572930;
 //BA.debugLineNum = 1572930;BA.debugLine="Button3.Top = 0";
mostCurrent._button3.setTop((int) (0));
RDebugUtils.currentLine=1572931;
 //BA.debugLineNum = 1572931;BA.debugLine="Button3.Height = wb / 1.75";
mostCurrent._button3.setHeight((int) (_wb/(double)1.75));
RDebugUtils.currentLine=1572933;
 //BA.debugLineNum = 1572933;BA.debugLine="Button5.left = 3 * wb";
mostCurrent._button5.setLeft((int) (3*_wb));
RDebugUtils.currentLine=1572934;
 //BA.debugLineNum = 1572934;BA.debugLine="Button5.Width = wb";
mostCurrent._button5.setWidth((int) (_wb));
RDebugUtils.currentLine=1572935;
 //BA.debugLineNum = 1572935;BA.debugLine="Button5.Top = 0";
mostCurrent._button5.setTop((int) (0));
RDebugUtils.currentLine=1572936;
 //BA.debugLineNum = 1572936;BA.debugLine="Button5.Height = wb /1.75";
mostCurrent._button5.setHeight((int) (_wb/(double)1.75));
RDebugUtils.currentLine=1572938;
 //BA.debugLineNum = 1572938;BA.debugLine="ImageView1.Left = 0%x";
mostCurrent._imageview1.setLeft(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (0),mostCurrent.activityBA));
RDebugUtils.currentLine=1572939;
 //BA.debugLineNum = 1572939;BA.debugLine="ImageView1.width = 90%x";
mostCurrent._imageview1.setWidth(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (90),mostCurrent.activityBA));
RDebugUtils.currentLine=1572940;
 //BA.debugLineNum = 1572940;BA.debugLine="ImageView1.top = 0";
mostCurrent._imageview1.setTop((int) (0));
RDebugUtils.currentLine=1572941;
 //BA.debugLineNum = 1572941;BA.debugLine="ImageView1.Height = 100%x / 4";
mostCurrent._imageview1.setHeight((int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA)/(double)4));
RDebugUtils.currentLine=1572943;
 //BA.debugLineNum = 1572943;BA.debugLine="ListView1.Left = 5%x";
mostCurrent._listview1.setLeft(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (5),mostCurrent.activityBA));
RDebugUtils.currentLine=1572944;
 //BA.debugLineNum = 1572944;BA.debugLine="ListView1.Width = 90%x";
mostCurrent._listview1.setWidth(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (90),mostCurrent.activityBA));
RDebugUtils.currentLine=1572945;
 //BA.debugLineNum = 1572945;BA.debugLine="ListView1.Top = ImageView1.Height";
mostCurrent._listview1.setTop(mostCurrent._imageview1.getHeight());
RDebugUtils.currentLine=1572946;
 //BA.debugLineNum = 1572946;BA.debugLine="ListView1.Height = Panel2.Top - ListView1.top";
mostCurrent._listview1.setHeight((int) (mostCurrent._panel2.getTop()-mostCurrent._listview1.getTop()));
RDebugUtils.currentLine=1572948;
 //BA.debugLineNum = 1572948;BA.debugLine="ListView1.SinglelineLayout.Label.Height = 12%x";
mostCurrent._listview1.getSingleLineLayout().Label.setHeight(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (12),mostCurrent.activityBA));
RDebugUtils.currentLine=1572949;
 //BA.debugLineNum = 1572949;BA.debugLine="ListView1.SinglelineLayout.Label.Top = 0";
mostCurrent._listview1.getSingleLineLayout().Label.setTop((int) (0));
 };
RDebugUtils.currentLine=1572952;
 //BA.debugLineNum = 1572952;BA.debugLine="ListView1.SingleLineLayout.Label.TextColor = Colo";
mostCurrent._listview1.getSingleLineLayout().Label.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=1572953;
 //BA.debugLineNum = 1572953;BA.debugLine="ListView1.SinglelineLayout.Label.TextSize = 14 '*";
mostCurrent._listview1.getSingleLineLayout().Label.setTextSize((float) (14));
RDebugUtils.currentLine=1572954;
 //BA.debugLineNum = 1572954;BA.debugLine="ListView1.SinglelineLayout.Label.Gravity = Gravit";
mostCurrent._listview1.getSingleLineLayout().Label.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL);
RDebugUtils.currentLine=1572955;
 //BA.debugLineNum = 1572955;BA.debugLine="End Sub";
return "";
}
public static String  _download() throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=589824;
 //BA.debugLineNum = 589824;BA.debugLine="Sub Download";
RDebugUtils.currentLine=589825;
 //BA.debugLineNum = 589825;BA.debugLine="ListView1.Clear";
mostCurrent._listview1.Clear();
RDebugUtils.currentLine=589827;
 //BA.debugLineNum = 589827;BA.debugLine="work_path = File.DirDefaultExternal '1.08";
mostCurrent._work_path = anywheresoftware.b4a.keywords.Common.File.getDirDefaultExternal();
RDebugUtils.currentLine=589828;
 //BA.debugLineNum = 589828;BA.debugLine="If erstemal = True Then";
if (_erstemal==anywheresoftware.b4a.keywords.Common.True) { 
RDebugUtils.currentLine=589830;
 //BA.debugLineNum = 589830;BA.debugLine="If File.Exists(work_path, \"wunschkonzert.csv\") =";
if (anywheresoftware.b4a.keywords.Common.File.Exists(mostCurrent._work_path,"wunschkonzert.csv")==anywheresoftware.b4a.keywords.Common.True) { 
 };
RDebugUtils.currentLine=589833;
 //BA.debugLineNum = 589833;BA.debugLine="FTP.Initialize(\"FTP\", \"ftp.strato.com\", 21";
_ftp.Initialize(processBA,"FTP","ftp.strato.com",(int) (21),"ftp_apps@maschinchen-buntes.de","b4a.apps.%");
RDebugUtils.currentLine=589834;
 //BA.debugLineNum = 589834;BA.debugLine="FTP.DownLoadFile(\"/wunschkonzert/wunschkonzer";
_ftp.DownloadFile(processBA,"/wunschkonzert/wunschkonzert.csv",anywheresoftware.b4a.keywords.Common.False,mostCurrent._work_path,"wunschkonzert.csv");
RDebugUtils.currentLine=589835;
 //BA.debugLineNum = 589835;BA.debugLine="erstemal = False";
_erstemal = anywheresoftware.b4a.keywords.Common.False;
 }else {
RDebugUtils.currentLine=589837;
 //BA.debugLineNum = 589837;BA.debugLine="Button1_Click 'Titel sortieren";
_button1_click();
 };
RDebugUtils.currentLine=589839;
 //BA.debugLineNum = 589839;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=1507328;
 //BA.debugLineNum = 1507328;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
RDebugUtils.currentLine=1507330;
 //BA.debugLineNum = 1507330;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
RDebugUtils.currentLine=1507331;
 //BA.debugLineNum = 1507331;BA.debugLine="If Msgbox2(\"Wollen Sie die App wirklich verlassen";
if (anywheresoftware.b4a.keywords.Common.Msgbox2("Wollen Sie die App wirklich verlassen?","Beenden","Ok","Abbrechen","",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA)==anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE) { 
RDebugUtils.currentLine=1507332;
 //BA.debugLineNum = 1507332;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
RDebugUtils.currentLine=1507333;
 //BA.debugLineNum = 1507333;BA.debugLine="ExitApplication";
anywheresoftware.b4a.keywords.Common.ExitApplication();
 };
RDebugUtils.currentLine=1507335;
 //BA.debugLineNum = 1507335;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 }else {
RDebugUtils.currentLine=1507337;
 //BA.debugLineNum = 1507337;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 };
RDebugUtils.currentLine=1507340;
 //BA.debugLineNum = 1507340;BA.debugLine="End Sub";
return false;
}
public static String  _button1_click() throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=786432;
 //BA.debugLineNum = 786432;BA.debugLine="Sub Button1_Click";
RDebugUtils.currentLine=786433;
 //BA.debugLineNum = 786433;BA.debugLine="ListView1.Clear";
mostCurrent._listview1.Clear();
RDebugUtils.currentLine=786434;
 //BA.debugLineNum = 786434;BA.debugLine="Panel1.Visible = False";
mostCurrent._panel1.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=786435;
 //BA.debugLineNum = 786435;BA.debugLine="sort_type = \"T\" '1.16";
mostCurrent._sort_type = "T";
RDebugUtils.currentLine=786436;
 //BA.debugLineNum = 786436;BA.debugLine="SortTitel";
_sorttitel();
RDebugUtils.currentLine=786437;
 //BA.debugLineNum = 786437;BA.debugLine="End Sub";
return "";
}
public static String  _sorttitel() throws Exception{
RDebugUtils.currentModule="main";
int _i = 0;
anywheresoftware.b4a.objects.collections.List _flist = null;
String _datei = "";
RDebugUtils.currentLine=851968;
 //BA.debugLineNum = 851968;BA.debugLine="Sub SortTitel";
RDebugUtils.currentLine=851970;
 //BA.debugLineNum = 851970;BA.debugLine="list2.Initialize";
mostCurrent._list2.Initialize();
RDebugUtils.currentLine=851971;
 //BA.debugLineNum = 851971;BA.debugLine="list2.Clear";
mostCurrent._list2.Clear();
RDebugUtils.currentLine=851972;
 //BA.debugLineNum = 851972;BA.debugLine="List1.Clear";
mostCurrent._list1.Clear();
RDebugUtils.currentLine=851973;
 //BA.debugLineNum = 851973;BA.debugLine="List1 = su.LoadCSV(work_path, \"wunschkonzert.csv\"";
mostCurrent._list1 = mostCurrent._su.LoadCSV(mostCurrent._work_path,"wunschkonzert.csv",BA.ObjectToChar(","));
RDebugUtils.currentLine=851975;
 //BA.debugLineNum = 851975;BA.debugLine="For i = 0 To List1.size -1";
{
final int step173 = 1;
final int limit173 = (int) (mostCurrent._list1.getSize()-1);
for (_i = (int) (0); (step173 > 0 && _i <= limit173) || (step173 < 0 && _i >= limit173); _i = ((int)(0 + _i + step173))) {
RDebugUtils.currentLine=851976;
 //BA.debugLineNum = 851976;BA.debugLine="If i = 0 Then";
if (_i==0) { 
RDebugUtils.currentLine=851977;
 //BA.debugLineNum = 851977;BA.debugLine="InTi = List1.Get(i)";
mostCurrent._inti = (String[])(mostCurrent._list1.Get(_i));
RDebugUtils.currentLine=851978;
 //BA.debugLineNum = 851978;BA.debugLine="parms = Regex.Split(\"-\", InTi(0))";
mostCurrent._parms = anywheresoftware.b4a.keywords.Common.Regex.Split("-",mostCurrent._inti[(int) (0)]);
RDebugUtils.currentLine=851979;
 //BA.debugLineNum = 851979;BA.debugLine="wann = InTi(1)";
mostCurrent._wann = mostCurrent._inti[(int) (1)];
RDebugUtils.currentLine=851980;
 //BA.debugLineNum = 851980;BA.debugLine="von = parms(0)";
mostCurrent._von = mostCurrent._parms[(int) (0)];
RDebugUtils.currentLine=851981;
 //BA.debugLineNum = 851981;BA.debugLine="bis = parms(1)";
mostCurrent._bis = mostCurrent._parms[(int) (1)];
RDebugUtils.currentLine=851982;
 //BA.debugLineNum = 851982;BA.debugLine="wieoft = parms(2)";
_wieoft = (int)(Double.parseDouble(mostCurrent._parms[(int) (2)]));
 }else {
RDebugUtils.currentLine=851984;
 //BA.debugLineNum = 851984;BA.debugLine="Dim spalte As data";
mostCurrent._spalte = new com.Wunschkonzert.App.main._data();
RDebugUtils.currentLine=851985;
 //BA.debugLineNum = 851985;BA.debugLine="spalte.Initialize";
mostCurrent._spalte.Initialize();
RDebugUtils.currentLine=851986;
 //BA.debugLineNum = 851986;BA.debugLine="InTi = List1.Get(i)";
mostCurrent._inti = (String[])(mostCurrent._list1.Get(_i));
RDebugUtils.currentLine=851987;
 //BA.debugLineNum = 851987;BA.debugLine="If InTi(0).SubString2(0,1) <> \";\" Then";
if ((mostCurrent._inti[(int) (0)].substring((int) (0),(int) (1))).equals(";") == false) { 
RDebugUtils.currentLine=851988;
 //BA.debugLineNum = 851988;BA.debugLine="spalte.Titel = InTi(1)";
mostCurrent._spalte.Titel = mostCurrent._inti[(int) (1)];
RDebugUtils.currentLine=851989;
 //BA.debugLineNum = 851989;BA.debugLine="spalte.Interpret = InTi(2)";
mostCurrent._spalte.Interpret = mostCurrent._inti[(int) (2)];
RDebugUtils.currentLine=851990;
 //BA.debugLineNum = 851990;BA.debugLine="spalte.Tonart = InTi(3)";
mostCurrent._spalte.Tonart = mostCurrent._inti[(int) (3)];
RDebugUtils.currentLine=851991;
 //BA.debugLineNum = 851991;BA.debugLine="spalte.Songbook = InTi(4)";
mostCurrent._spalte.Songbook = mostCurrent._inti[(int) (4)];
RDebugUtils.currentLine=851992;
 //BA.debugLineNum = 851992;BA.debugLine="spalte.Seite = NumberFormat(InTi(5),2,0) '1.13";
mostCurrent._spalte.Seite = anywheresoftware.b4a.keywords.Common.NumberFormat((double)(Double.parseDouble(mostCurrent._inti[(int) (5)])),(int) (2),(int) (0));
RDebugUtils.currentLine=851993;
 //BA.debugLineNum = 851993;BA.debugLine="spalte.Genre = InTi(6) '1.12";
mostCurrent._spalte.Genre = mostCurrent._inti[(int) (6)];
RDebugUtils.currentLine=851994;
 //BA.debugLineNum = 851994;BA.debugLine="spalte.Sprache = InTi(7) '1.12";
mostCurrent._spalte.Sprache = mostCurrent._inti[(int) (7)];
RDebugUtils.currentLine=851995;
 //BA.debugLineNum = 851995;BA.debugLine="spalte.Spielbar = InTi(8) '1.18";
mostCurrent._spalte.Spielbar = mostCurrent._inti[(int) (8)];
RDebugUtils.currentLine=851996;
 //BA.debugLineNum = 851996;BA.debugLine="If spalte.Spielbar = \"1\" Then '1.20";
if ((mostCurrent._spalte.Spielbar).equals("1")) { 
RDebugUtils.currentLine=851997;
 //BA.debugLineNum = 851997;BA.debugLine="If schlager = \"mit\" Then '1.16";
if ((_schlager).equals("mit")) { 
RDebugUtils.currentLine=851998;
 //BA.debugLineNum = 851998;BA.debugLine="list2.Add(spalte)";
mostCurrent._list2.Add((Object)(mostCurrent._spalte));
 }else {
RDebugUtils.currentLine=852000;
 //BA.debugLineNum = 852000;BA.debugLine="If spalte.Genre.ToLowerCase <> \"schlager\" T";
if ((mostCurrent._spalte.Genre.toLowerCase()).equals("schlager") == false) { 
RDebugUtils.currentLine=852001;
 //BA.debugLineNum = 852001;BA.debugLine="list2.Add(spalte)";
mostCurrent._list2.Add((Object)(mostCurrent._spalte));
 };
 };
 };
 };
 };
 }
};
RDebugUtils.currentLine=852009;
 //BA.debugLineNum = 852009;BA.debugLine="list2.Sorttype(\"Titel\",True)";
mostCurrent._list2.SortType("Titel",anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=852011;
 //BA.debugLineNum = 852011;BA.debugLine="For i = 0 To list2.Size -1";
{
final int step207 = 1;
final int limit207 = (int) (mostCurrent._list2.getSize()-1);
for (_i = (int) (0); (step207 > 0 && _i <= limit207) || (step207 < 0 && _i >= limit207); _i = ((int)(0 + _i + step207))) {
RDebugUtils.currentLine=852012;
 //BA.debugLineNum = 852012;BA.debugLine="spalte = list2.Get(i)";
mostCurrent._spalte = (com.Wunschkonzert.App.main._data)(mostCurrent._list2.Get(_i));
RDebugUtils.currentLine=852013;
 //BA.debugLineNum = 852013;BA.debugLine="ListView1.AddSingleLine2(spalte.Titel & \" - \" &";
mostCurrent._listview1.AddSingleLine2(mostCurrent._spalte.Titel+" - "+mostCurrent._spalte.Interpret+" - "+mostCurrent._spalte.Genre,(Object)(mostCurrent._spalte));
 }
};
RDebugUtils.currentLine=852016;
 //BA.debugLineNum = 852016;BA.debugLine="If File.Exists(work_path, wann & \"howmuch.txt\") =";
if (anywheresoftware.b4a.keywords.Common.File.Exists(mostCurrent._work_path,mostCurrent._wann+"howmuch.txt")==anywheresoftware.b4a.keywords.Common.True) { 
RDebugUtils.currentLine=852017;
 //BA.debugLineNum = 852017;BA.debugLine="zz = File.ReadString(work_path, wann & \"howmuc";
_zz = (int)(Double.parseDouble(anywheresoftware.b4a.keywords.Common.File.ReadString(mostCurrent._work_path,mostCurrent._wann+"howmuch.txt")));
 }else {
RDebugUtils.currentLine=852019;
 //BA.debugLineNum = 852019;BA.debugLine="zz = 0";
_zz = (int) (0);
RDebugUtils.currentLine=852020;
 //BA.debugLineNum = 852020;BA.debugLine="Dim flist As List";
_flist = new anywheresoftware.b4a.objects.collections.List();
RDebugUtils.currentLine=852021;
 //BA.debugLineNum = 852021;BA.debugLine="Dim datei As String";
_datei = "";
RDebugUtils.currentLine=852022;
 //BA.debugLineNum = 852022;BA.debugLine="flist = File.listfiles(work_path)";
_flist = anywheresoftware.b4a.keywords.Common.File.ListFiles(mostCurrent._work_path);
RDebugUtils.currentLine=852023;
 //BA.debugLineNum = 852023;BA.debugLine="For i = 0 To flist.Size -1";
{
final int step218 = 1;
final int limit218 = (int) (_flist.getSize()-1);
for (_i = (int) (0); (step218 > 0 && _i <= limit218) || (step218 < 0 && _i >= limit218); _i = ((int)(0 + _i + step218))) {
RDebugUtils.currentLine=852024;
 //BA.debugLineNum = 852024;BA.debugLine="datei = flist.Get(i)";
_datei = BA.ObjectToString(_flist.Get(_i));
RDebugUtils.currentLine=852025;
 //BA.debugLineNum = 852025;BA.debugLine="If datei.Contains(\"howmuch.txt\") Then";
if (_datei.contains("howmuch.txt")) { 
RDebugUtils.currentLine=852026;
 //BA.debugLineNum = 852026;BA.debugLine="File.Delete(work_path, datei)";
anywheresoftware.b4a.keywords.Common.File.Delete(mostCurrent._work_path,_datei);
 };
 }
};
 };
RDebugUtils.currentLine=852031;
 //BA.debugLineNum = 852031;BA.debugLine="End Sub";
return "";
}
public static String  _button2_click() throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=917504;
 //BA.debugLineNum = 917504;BA.debugLine="Sub Button2_Click";
RDebugUtils.currentLine=917505;
 //BA.debugLineNum = 917505;BA.debugLine="ListView1.Clear";
mostCurrent._listview1.Clear();
RDebugUtils.currentLine=917506;
 //BA.debugLineNum = 917506;BA.debugLine="Panel1.Visible = False";
mostCurrent._panel1.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=917507;
 //BA.debugLineNum = 917507;BA.debugLine="sort_type = \"I\" '1.16";
mostCurrent._sort_type = "I";
RDebugUtils.currentLine=917508;
 //BA.debugLineNum = 917508;BA.debugLine="SortInterpret";
_sortinterpret();
RDebugUtils.currentLine=917509;
 //BA.debugLineNum = 917509;BA.debugLine="End Sub";
return "";
}
public static String  _sortinterpret() throws Exception{
RDebugUtils.currentModule="main";
int _i = 0;
RDebugUtils.currentLine=983040;
 //BA.debugLineNum = 983040;BA.debugLine="Sub SortInterpret";
RDebugUtils.currentLine=983041;
 //BA.debugLineNum = 983041;BA.debugLine="list2.Initialize";
mostCurrent._list2.Initialize();
RDebugUtils.currentLine=983042;
 //BA.debugLineNum = 983042;BA.debugLine="list2.Clear";
mostCurrent._list2.Clear();
RDebugUtils.currentLine=983043;
 //BA.debugLineNum = 983043;BA.debugLine="List1.Clear";
mostCurrent._list1.Clear();
RDebugUtils.currentLine=983044;
 //BA.debugLineNum = 983044;BA.debugLine="List1 = su.LoadCSV(work_path, \"wunschkonzert.csv\"";
mostCurrent._list1 = mostCurrent._su.LoadCSV(mostCurrent._work_path,"wunschkonzert.csv",BA.ObjectToChar(","));
RDebugUtils.currentLine=983046;
 //BA.debugLineNum = 983046;BA.debugLine="For i = 0 To List1.size -1";
{
final int step237 = 1;
final int limit237 = (int) (mostCurrent._list1.getSize()-1);
for (_i = (int) (0); (step237 > 0 && _i <= limit237) || (step237 < 0 && _i >= limit237); _i = ((int)(0 + _i + step237))) {
RDebugUtils.currentLine=983047;
 //BA.debugLineNum = 983047;BA.debugLine="If i = 0 Then";
if (_i==0) { 
RDebugUtils.currentLine=983048;
 //BA.debugLineNum = 983048;BA.debugLine="InTi = List1.Get(i)";
mostCurrent._inti = (String[])(mostCurrent._list1.Get(_i));
RDebugUtils.currentLine=983049;
 //BA.debugLineNum = 983049;BA.debugLine="parms = Regex.Split(\"-\", InTi(0))";
mostCurrent._parms = anywheresoftware.b4a.keywords.Common.Regex.Split("-",mostCurrent._inti[(int) (0)]);
RDebugUtils.currentLine=983050;
 //BA.debugLineNum = 983050;BA.debugLine="wann = InTi(1)";
mostCurrent._wann = mostCurrent._inti[(int) (1)];
RDebugUtils.currentLine=983051;
 //BA.debugLineNum = 983051;BA.debugLine="von = parms(0)";
mostCurrent._von = mostCurrent._parms[(int) (0)];
RDebugUtils.currentLine=983052;
 //BA.debugLineNum = 983052;BA.debugLine="bis = parms(1)";
mostCurrent._bis = mostCurrent._parms[(int) (1)];
RDebugUtils.currentLine=983053;
 //BA.debugLineNum = 983053;BA.debugLine="wieoft = parms(2)";
_wieoft = (int)(Double.parseDouble(mostCurrent._parms[(int) (2)]));
 }else {
RDebugUtils.currentLine=983055;
 //BA.debugLineNum = 983055;BA.debugLine="Dim spalte As data";
mostCurrent._spalte = new com.Wunschkonzert.App.main._data();
RDebugUtils.currentLine=983056;
 //BA.debugLineNum = 983056;BA.debugLine="spalte.Initialize";
mostCurrent._spalte.Initialize();
RDebugUtils.currentLine=983057;
 //BA.debugLineNum = 983057;BA.debugLine="InTi = List1.Get(i)";
mostCurrent._inti = (String[])(mostCurrent._list1.Get(_i));
RDebugUtils.currentLine=983058;
 //BA.debugLineNum = 983058;BA.debugLine="If InTi(0).SubString2(0,1) <> \";\" Then";
if ((mostCurrent._inti[(int) (0)].substring((int) (0),(int) (1))).equals(";") == false) { 
RDebugUtils.currentLine=983059;
 //BA.debugLineNum = 983059;BA.debugLine="spalte.Titel = InTi(1)";
mostCurrent._spalte.Titel = mostCurrent._inti[(int) (1)];
RDebugUtils.currentLine=983060;
 //BA.debugLineNum = 983060;BA.debugLine="spalte.Interpret = InTi(2)";
mostCurrent._spalte.Interpret = mostCurrent._inti[(int) (2)];
RDebugUtils.currentLine=983061;
 //BA.debugLineNum = 983061;BA.debugLine="spalte.Tonart = InTi(3)";
mostCurrent._spalte.Tonart = mostCurrent._inti[(int) (3)];
RDebugUtils.currentLine=983062;
 //BA.debugLineNum = 983062;BA.debugLine="spalte.Songbook = InTi(4)";
mostCurrent._spalte.Songbook = mostCurrent._inti[(int) (4)];
RDebugUtils.currentLine=983063;
 //BA.debugLineNum = 983063;BA.debugLine="spalte.Seite = NumberFormat(InTi(5),2,0) '1.13";
mostCurrent._spalte.Seite = anywheresoftware.b4a.keywords.Common.NumberFormat((double)(Double.parseDouble(mostCurrent._inti[(int) (5)])),(int) (2),(int) (0));
RDebugUtils.currentLine=983064;
 //BA.debugLineNum = 983064;BA.debugLine="spalte.Genre = InTi(6) '1.12";
mostCurrent._spalte.Genre = mostCurrent._inti[(int) (6)];
RDebugUtils.currentLine=983065;
 //BA.debugLineNum = 983065;BA.debugLine="spalte.Sprache = InTi(7) '1.12";
mostCurrent._spalte.Sprache = mostCurrent._inti[(int) (7)];
RDebugUtils.currentLine=983066;
 //BA.debugLineNum = 983066;BA.debugLine="spalte.Spielbar = InTi(8) '1.18";
mostCurrent._spalte.Spielbar = mostCurrent._inti[(int) (8)];
RDebugUtils.currentLine=983067;
 //BA.debugLineNum = 983067;BA.debugLine="If spalte.Spielbar = \"1\" Then '1.20";
if ((mostCurrent._spalte.Spielbar).equals("1")) { 
RDebugUtils.currentLine=983068;
 //BA.debugLineNum = 983068;BA.debugLine="If schlager = \"mit\" Then '1.16";
if ((_schlager).equals("mit")) { 
RDebugUtils.currentLine=983069;
 //BA.debugLineNum = 983069;BA.debugLine="list2.Add(spalte)";
mostCurrent._list2.Add((Object)(mostCurrent._spalte));
 }else {
RDebugUtils.currentLine=983071;
 //BA.debugLineNum = 983071;BA.debugLine="If spalte.Genre.ToLowerCase <> \"schlager\" T";
if ((mostCurrent._spalte.Genre.toLowerCase()).equals("schlager") == false) { 
RDebugUtils.currentLine=983072;
 //BA.debugLineNum = 983072;BA.debugLine="list2.Add(spalte)";
mostCurrent._list2.Add((Object)(mostCurrent._spalte));
 };
 };
 };
 };
 };
 }
};
RDebugUtils.currentLine=983080;
 //BA.debugLineNum = 983080;BA.debugLine="list2.Sorttype(\"Interpret\",True)";
mostCurrent._list2.SortType("Interpret",anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=983082;
 //BA.debugLineNum = 983082;BA.debugLine="For i = 0 To list2.Size -1";
{
final int step271 = 1;
final int limit271 = (int) (mostCurrent._list2.getSize()-1);
for (_i = (int) (0); (step271 > 0 && _i <= limit271) || (step271 < 0 && _i >= limit271); _i = ((int)(0 + _i + step271))) {
RDebugUtils.currentLine=983083;
 //BA.debugLineNum = 983083;BA.debugLine="spalte = list2.Get(i)";
mostCurrent._spalte = (com.Wunschkonzert.App.main._data)(mostCurrent._list2.Get(_i));
RDebugUtils.currentLine=983084;
 //BA.debugLineNum = 983084;BA.debugLine="ListView1.AddSingleLine2(spalte.Interpret & \" -";
mostCurrent._listview1.AddSingleLine2(mostCurrent._spalte.Interpret+" - "+mostCurrent._spalte.Titel+" - "+mostCurrent._spalte.Genre,(Object)(mostCurrent._spalte));
 }
};
RDebugUtils.currentLine=983087;
 //BA.debugLineNum = 983087;BA.debugLine="End Sub";
return "";
}
public static String  _button3_click() throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=1048576;
 //BA.debugLineNum = 1048576;BA.debugLine="Sub Button3_Click";
RDebugUtils.currentLine=1048577;
 //BA.debugLineNum = 1048577;BA.debugLine="ListView1.Clear";
mostCurrent._listview1.Clear();
RDebugUtils.currentLine=1048578;
 //BA.debugLineNum = 1048578;BA.debugLine="Panel1.Visible = False";
mostCurrent._panel1.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1048579;
 //BA.debugLineNum = 1048579;BA.debugLine="sort_type = \"G\" '1.16";
mostCurrent._sort_type = "G";
RDebugUtils.currentLine=1048580;
 //BA.debugLineNum = 1048580;BA.debugLine="SortGenre";
_sortgenre();
RDebugUtils.currentLine=1048581;
 //BA.debugLineNum = 1048581;BA.debugLine="End Sub";
return "";
}
public static String  _sortgenre() throws Exception{
RDebugUtils.currentModule="main";
int _i = 0;
RDebugUtils.currentLine=1114112;
 //BA.debugLineNum = 1114112;BA.debugLine="Sub SortGenre '1.14";
RDebugUtils.currentLine=1114113;
 //BA.debugLineNum = 1114113;BA.debugLine="list2.Initialize";
mostCurrent._list2.Initialize();
RDebugUtils.currentLine=1114114;
 //BA.debugLineNum = 1114114;BA.debugLine="list2.Clear";
mostCurrent._list2.Clear();
RDebugUtils.currentLine=1114115;
 //BA.debugLineNum = 1114115;BA.debugLine="List1.Clear";
mostCurrent._list1.Clear();
RDebugUtils.currentLine=1114116;
 //BA.debugLineNum = 1114116;BA.debugLine="List1 = su.LoadCSV(work_path, \"wunschkonzert.csv\"";
mostCurrent._list1 = mostCurrent._su.LoadCSV(mostCurrent._work_path,"wunschkonzert.csv",BA.ObjectToChar(","));
RDebugUtils.currentLine=1114118;
 //BA.debugLineNum = 1114118;BA.debugLine="For i = 0 To List1.size -1";
{
final int step287 = 1;
final int limit287 = (int) (mostCurrent._list1.getSize()-1);
for (_i = (int) (0); (step287 > 0 && _i <= limit287) || (step287 < 0 && _i >= limit287); _i = ((int)(0 + _i + step287))) {
RDebugUtils.currentLine=1114119;
 //BA.debugLineNum = 1114119;BA.debugLine="If i = 0 Then";
if (_i==0) { 
RDebugUtils.currentLine=1114120;
 //BA.debugLineNum = 1114120;BA.debugLine="InTi = List1.Get(i)";
mostCurrent._inti = (String[])(mostCurrent._list1.Get(_i));
RDebugUtils.currentLine=1114121;
 //BA.debugLineNum = 1114121;BA.debugLine="parms = Regex.Split(\"-\", InTi(0))";
mostCurrent._parms = anywheresoftware.b4a.keywords.Common.Regex.Split("-",mostCurrent._inti[(int) (0)]);
RDebugUtils.currentLine=1114122;
 //BA.debugLineNum = 1114122;BA.debugLine="wann = InTi(1)";
mostCurrent._wann = mostCurrent._inti[(int) (1)];
RDebugUtils.currentLine=1114123;
 //BA.debugLineNum = 1114123;BA.debugLine="von = parms(0)";
mostCurrent._von = mostCurrent._parms[(int) (0)];
RDebugUtils.currentLine=1114124;
 //BA.debugLineNum = 1114124;BA.debugLine="bis = parms(1)";
mostCurrent._bis = mostCurrent._parms[(int) (1)];
RDebugUtils.currentLine=1114125;
 //BA.debugLineNum = 1114125;BA.debugLine="wieoft = parms(2)";
_wieoft = (int)(Double.parseDouble(mostCurrent._parms[(int) (2)]));
 }else {
RDebugUtils.currentLine=1114127;
 //BA.debugLineNum = 1114127;BA.debugLine="Dim spalte As data";
mostCurrent._spalte = new com.Wunschkonzert.App.main._data();
RDebugUtils.currentLine=1114128;
 //BA.debugLineNum = 1114128;BA.debugLine="spalte.Initialize";
mostCurrent._spalte.Initialize();
RDebugUtils.currentLine=1114129;
 //BA.debugLineNum = 1114129;BA.debugLine="InTi = List1.Get(i)";
mostCurrent._inti = (String[])(mostCurrent._list1.Get(_i));
RDebugUtils.currentLine=1114130;
 //BA.debugLineNum = 1114130;BA.debugLine="If InTi(0).SubString2(0,1) <> \";\" Then";
if ((mostCurrent._inti[(int) (0)].substring((int) (0),(int) (1))).equals(";") == false) { 
RDebugUtils.currentLine=1114131;
 //BA.debugLineNum = 1114131;BA.debugLine="spalte.Titel = InTi(1)";
mostCurrent._spalte.Titel = mostCurrent._inti[(int) (1)];
RDebugUtils.currentLine=1114132;
 //BA.debugLineNum = 1114132;BA.debugLine="spalte.Interpret = InTi(2)";
mostCurrent._spalte.Interpret = mostCurrent._inti[(int) (2)];
RDebugUtils.currentLine=1114133;
 //BA.debugLineNum = 1114133;BA.debugLine="spalte.Tonart = InTi(3)";
mostCurrent._spalte.Tonart = mostCurrent._inti[(int) (3)];
RDebugUtils.currentLine=1114134;
 //BA.debugLineNum = 1114134;BA.debugLine="spalte.Songbook = InTi(4)";
mostCurrent._spalte.Songbook = mostCurrent._inti[(int) (4)];
RDebugUtils.currentLine=1114135;
 //BA.debugLineNum = 1114135;BA.debugLine="spalte.Seite = NumberFormat(InTi(5),2,0) '1.13";
mostCurrent._spalte.Seite = anywheresoftware.b4a.keywords.Common.NumberFormat((double)(Double.parseDouble(mostCurrent._inti[(int) (5)])),(int) (2),(int) (0));
RDebugUtils.currentLine=1114136;
 //BA.debugLineNum = 1114136;BA.debugLine="spalte.Genre = InTi(6) '1.12";
mostCurrent._spalte.Genre = mostCurrent._inti[(int) (6)];
RDebugUtils.currentLine=1114137;
 //BA.debugLineNum = 1114137;BA.debugLine="spalte.Sprache = InTi(7) '1.12";
mostCurrent._spalte.Sprache = mostCurrent._inti[(int) (7)];
RDebugUtils.currentLine=1114138;
 //BA.debugLineNum = 1114138;BA.debugLine="spalte.Spielbar = InTi(8) '1.18";
mostCurrent._spalte.Spielbar = mostCurrent._inti[(int) (8)];
RDebugUtils.currentLine=1114139;
 //BA.debugLineNum = 1114139;BA.debugLine="If spalte.Spielbar = \"1\" Then '1.20";
if ((mostCurrent._spalte.Spielbar).equals("1")) { 
RDebugUtils.currentLine=1114140;
 //BA.debugLineNum = 1114140;BA.debugLine="If schlager = \"mit\" Then '1.16";
if ((_schlager).equals("mit")) { 
RDebugUtils.currentLine=1114141;
 //BA.debugLineNum = 1114141;BA.debugLine="list2.Add(spalte)";
mostCurrent._list2.Add((Object)(mostCurrent._spalte));
 }else {
RDebugUtils.currentLine=1114143;
 //BA.debugLineNum = 1114143;BA.debugLine="If spalte.Genre.ToLowerCase <> \"schlager\" T";
if ((mostCurrent._spalte.Genre.toLowerCase()).equals("schlager") == false) { 
RDebugUtils.currentLine=1114144;
 //BA.debugLineNum = 1114144;BA.debugLine="list2.Add(spalte)";
mostCurrent._list2.Add((Object)(mostCurrent._spalte));
 };
 };
 };
 };
 };
 }
};
RDebugUtils.currentLine=1114152;
 //BA.debugLineNum = 1114152;BA.debugLine="list2.Sorttype(\"Genre\",True)";
mostCurrent._list2.SortType("Genre",anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1114154;
 //BA.debugLineNum = 1114154;BA.debugLine="For i = 0 To list2.Size -1";
{
final int step321 = 1;
final int limit321 = (int) (mostCurrent._list2.getSize()-1);
for (_i = (int) (0); (step321 > 0 && _i <= limit321) || (step321 < 0 && _i >= limit321); _i = ((int)(0 + _i + step321))) {
RDebugUtils.currentLine=1114155;
 //BA.debugLineNum = 1114155;BA.debugLine="spalte = list2.Get(i)";
mostCurrent._spalte = (com.Wunschkonzert.App.main._data)(mostCurrent._list2.Get(_i));
RDebugUtils.currentLine=1114156;
 //BA.debugLineNum = 1114156;BA.debugLine="ListView1.AddSingleLine2(spalte.Titel & \" - \" &";
mostCurrent._listview1.AddSingleLine2(mostCurrent._spalte.Titel+" - "+mostCurrent._spalte.Interpret+" - "+mostCurrent._spalte.Genre,(Object)(mostCurrent._spalte));
 }
};
RDebugUtils.currentLine=1114159;
 //BA.debugLineNum = 1114159;BA.debugLine="End Sub";
return "";
}
public static String  _button4_click() throws Exception{
RDebugUtils.currentModule="main";
String _pat = "";
int _i = 0;
RDebugUtils.currentLine=1245184;
 //BA.debugLineNum = 1245184;BA.debugLine="Sub Button4_Click";
RDebugUtils.currentLine=1245185;
 //BA.debugLineNum = 1245185;BA.debugLine="Dim Pat As String";
_pat = "";
RDebugUtils.currentLine=1245186;
 //BA.debugLineNum = 1245186;BA.debugLine="IME.HideKeyboard '1.02";
mostCurrent._ime.HideKeyboard(mostCurrent.activityBA);
RDebugUtils.currentLine=1245187;
 //BA.debugLineNum = 1245187;BA.debugLine="If EditText1.Text.Trim <> \"\" Then";
if ((mostCurrent._edittext1.getText().trim()).equals("") == false) { 
RDebugUtils.currentLine=1245188;
 //BA.debugLineNum = 1245188;BA.debugLine="ListView1.Clear";
mostCurrent._listview1.Clear();
RDebugUtils.currentLine=1245189;
 //BA.debugLineNum = 1245189;BA.debugLine="ListView1.BringToFront";
mostCurrent._listview1.BringToFront();
RDebugUtils.currentLine=1245190;
 //BA.debugLineNum = 1245190;BA.debugLine="Pat = EditText1.Text.ToLowerCase";
_pat = mostCurrent._edittext1.getText().toLowerCase();
RDebugUtils.currentLine=1245191;
 //BA.debugLineNum = 1245191;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
RDebugUtils.currentLine=1245192;
 //BA.debugLineNum = 1245192;BA.debugLine="For i = 0 To list2.Size -1";
{
final int step347 = 1;
final int limit347 = (int) (mostCurrent._list2.getSize()-1);
for (_i = (int) (0); (step347 > 0 && _i <= limit347) || (step347 < 0 && _i >= limit347); _i = ((int)(0 + _i + step347))) {
RDebugUtils.currentLine=1245193;
 //BA.debugLineNum = 1245193;BA.debugLine="spalte = list2.Get(i)";
mostCurrent._spalte = (com.Wunschkonzert.App.main._data)(mostCurrent._list2.Get(_i));
RDebugUtils.currentLine=1245194;
 //BA.debugLineNum = 1245194;BA.debugLine="If spalte.Titel.ToLowerCase.Contains(Pat) OR sp";
if (mostCurrent._spalte.Titel.toLowerCase().contains(_pat) || mostCurrent._spalte.Interpret.toLowerCase().contains(_pat) || mostCurrent._spalte.Genre.toLowerCase().contains(_pat) || mostCurrent._spalte.Sprache.toLowerCase().contains(_pat)) { 
RDebugUtils.currentLine=1245195;
 //BA.debugLineNum = 1245195;BA.debugLine="ListView1.AddSingleline2(spalte.Interpret &";
mostCurrent._listview1.AddSingleLine2(mostCurrent._spalte.Interpret+" - "+mostCurrent._spalte.Titel,(Object)(mostCurrent._spalte));
 };
 }
};
RDebugUtils.currentLine=1245198;
 //BA.debugLineNum = 1245198;BA.debugLine="EditText1.text = \"\"";
mostCurrent._edittext1.setText((Object)(""));
 };
RDebugUtils.currentLine=1245200;
 //BA.debugLineNum = 1245200;BA.debugLine="Panel1.Visible = False";
mostCurrent._panel1.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1245201;
 //BA.debugLineNum = 1245201;BA.debugLine="End Sub";
return "";
}
public static String  _button5_click() throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=1179648;
 //BA.debugLineNum = 1179648;BA.debugLine="Sub Button5_Click";
RDebugUtils.currentLine=1179649;
 //BA.debugLineNum = 1179649;BA.debugLine="Button5.Text = \"Suchen\"";
mostCurrent._button5.setText((Object)("Suchen"));
RDebugUtils.currentLine=1179651;
 //BA.debugLineNum = 1179651;BA.debugLine="If Activity.Width > Activity.Height Then";
if (mostCurrent._activity.getWidth()>mostCurrent._activity.getHeight()) { 
RDebugUtils.currentLine=1179652;
 //BA.debugLineNum = 1179652;BA.debugLine="Panel1.Top = 20%x";
mostCurrent._panel1.setTop(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (20),mostCurrent.activityBA));
 };
RDebugUtils.currentLine=1179654;
 //BA.debugLineNum = 1179654;BA.debugLine="Panel1.Visible = True";
mostCurrent._panel1.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1179655;
 //BA.debugLineNum = 1179655;BA.debugLine="Panel1.BringToFront";
mostCurrent._panel1.BringToFront();
RDebugUtils.currentLine=1179656;
 //BA.debugLineNum = 1179656;BA.debugLine="Panel1.Color = Colors.Gray";
mostCurrent._panel1.setColor(anywheresoftware.b4a.keywords.Common.Colors.Gray);
RDebugUtils.currentLine=1179657;
 //BA.debugLineNum = 1179657;BA.debugLine="ListView1.SendToBack";
mostCurrent._listview1.SendToBack();
RDebugUtils.currentLine=1179658;
 //BA.debugLineNum = 1179658;BA.debugLine="EditText1.Visible = True";
mostCurrent._edittext1.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1179659;
 //BA.debugLineNum = 1179659;BA.debugLine="EditText1.Color = Colors.White";
mostCurrent._edittext1.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=1179660;
 //BA.debugLineNum = 1179660;BA.debugLine="IME.ShowKeyboard(EditText1)";
mostCurrent._ime.ShowKeyboard((android.view.View)(mostCurrent._edittext1.getObject()));
RDebugUtils.currentLine=1179661;
 //BA.debugLineNum = 1179661;BA.debugLine="End Sub";
return "";
}
public static String  _copyright_click() throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=327680;
 //BA.debugLineNum = 327680;BA.debugLine="Sub CopyRight_click";
RDebugUtils.currentLine=327681;
 //BA.debugLineNum = 327681;BA.debugLine="Msgbox(\"Mark Förster und Reinald Assheuer\" & C";
anywheresoftware.b4a.keywords.Common.Msgbox("Mark Förster und Reinald Assheuer"+anywheresoftware.b4a.keywords.Common.CRLF+"EDIplan GmbH 2013-2014","Entwickelt von",mostCurrent.activityBA);
RDebugUtils.currentLine=327682;
 //BA.debugLineNum = 327682;BA.debugLine="End Sub";
return "";
}
public static String  _ftp_downloadcompleted(String _serverpath,boolean _success) throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=655360;
 //BA.debugLineNum = 655360;BA.debugLine="Sub FTP_DownloadCompleted (ServerPath As String, S";
RDebugUtils.currentLine=655361;
 //BA.debugLineNum = 655361;BA.debugLine="If ServerPath = \"/wunschkonzert/wunschkonzert.csv\"";
if ((_serverpath).equals("/wunschkonzert/wunschkonzert.csv")) { 
RDebugUtils.currentLine=655362;
 //BA.debugLineNum = 655362;BA.debugLine="If Success = False Then";
if (_success==anywheresoftware.b4a.keywords.Common.False) { 
RDebugUtils.currentLine=655363;
 //BA.debugLineNum = 655363;BA.debugLine="Log(LastException.Message)";
anywheresoftware.b4a.keywords.Common.Log(anywheresoftware.b4a.keywords.Common.LastException(mostCurrent.activityBA).getMessage());
RDebugUtils.currentLine=655365;
 //BA.debugLineNum = 655365;BA.debugLine="Msgbox(\"Ich lese die Daten aus dem lokalen";
anywheresoftware.b4a.keywords.Common.Msgbox("Ich lese die Daten aus dem lokalen Speicher.","Kein Internet Zugang",mostCurrent.activityBA);
RDebugUtils.currentLine=655367;
 //BA.debugLineNum = 655367;BA.debugLine="File.copy(File.DirAssets, \"wunschkonzert.cs";
anywheresoftware.b4a.keywords.Common.File.Copy(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"wunschkonzert.csv",mostCurrent._work_path,"wunschkonzert.csv");
 }else {
RDebugUtils.currentLine=655370;
 //BA.debugLineNum = 655370;BA.debugLine="If File.Exists(work_path, \"wunschkonzert.cs";
if (anywheresoftware.b4a.keywords.Common.File.Exists(mostCurrent._work_path,"wunschkonzert.csv")==anywheresoftware.b4a.keywords.Common.False) { 
RDebugUtils.currentLine=655371;
 //BA.debugLineNum = 655371;BA.debugLine="File.copy(File.DirAssets, \"wunschkonzert";
anywheresoftware.b4a.keywords.Common.File.Copy(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"wunschkonzert.csv",mostCurrent._work_path,"wunschkonzert.csv");
 };
 };
RDebugUtils.currentLine=655375;
 //BA.debugLineNum = 655375;BA.debugLine="FTP.Close '1.24";
_ftp.Close();
RDebugUtils.currentLine=655376;
 //BA.debugLineNum = 655376;BA.debugLine="Button1_Click '1.11 Titel sortieren";
_button1_click();
 }else {
RDebugUtils.currentLine=655378;
 //BA.debugLineNum = 655378;BA.debugLine="If Success = True Then";
if (_success==anywheresoftware.b4a.keywords.Common.True) { 
RDebugUtils.currentLine=655379;
 //BA.debugLineNum = 655379;BA.debugLine="open_song";
_open_song();
 }else {
RDebugUtils.currentLine=655381;
 //BA.debugLineNum = 655381;BA.debugLine="Msgbox(\"Der Songtext kann nicht geladen wer";
anywheresoftware.b4a.keywords.Common.Msgbox("Der Songtext kann nicht geladen werden.","Kein Internet Zugang",mostCurrent.activityBA);
 };
 };
RDebugUtils.currentLine=655384;
 //BA.debugLineNum = 655384;BA.debugLine="End Sub";
return "";
}
public static String  _open_song() throws Exception{
RDebugUtils.currentModule="main";
String _uri = "";
anywheresoftware.b4a.objects.IntentWrapper _i = null;
RDebugUtils.currentLine=720896;
 //BA.debugLineNum = 720896;BA.debugLine="Sub open_song";
RDebugUtils.currentLine=720897;
 //BA.debugLineNum = 720897;BA.debugLine="Dim uri As String";
_uri = "";
RDebugUtils.currentLine=720898;
 //BA.debugLineNum = 720898;BA.debugLine="Dim i As Intent";
_i = new anywheresoftware.b4a.objects.IntentWrapper();
RDebugUtils.currentLine=720899;
 //BA.debugLineNum = 720899;BA.debugLine="uri = \"file://\" & work_path & \"/\" & songname";
_uri = "file://"+mostCurrent._work_path+"/"+_songname;
RDebugUtils.currentLine=720900;
 //BA.debugLineNum = 720900;BA.debugLine="i.Initialize(i.ACTION_VIEW, uri)";
_i.Initialize(_i.ACTION_VIEW,_uri);
RDebugUtils.currentLine=720901;
 //BA.debugLineNum = 720901;BA.debugLine="i.SetType(\"application/vnd.ms-word\")";
_i.SetType("application/vnd.ms-word");
RDebugUtils.currentLine=720902;
 //BA.debugLineNum = 720902;BA.debugLine="i.WrapAsIntentChooser(\"Choose Word Viewer\")";
_i.WrapAsIntentChooser("Choose Word Viewer");
RDebugUtils.currentLine=720903;
 //BA.debugLineNum = 720903;BA.debugLine="StartActivity(i)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(_i.getObject()));
RDebugUtils.currentLine=720904;
 //BA.debugLineNum = 720904;BA.debugLine="songname = \"\"";
_songname = "";
RDebugUtils.currentLine=720905;
 //BA.debugLineNum = 720905;BA.debugLine="End Sub";
return "";
}
public static String  _ftp_uploadcompleted(String _serverpath,boolean _success) throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=1376256;
 //BA.debugLineNum = 1376256;BA.debugLine="Sub FTP_UploadCompleted (ServerPath As String, Suc";
RDebugUtils.currentLine=1376257;
 //BA.debugLineNum = 1376257;BA.debugLine="If Success = False Then";
if (_success==anywheresoftware.b4a.keywords.Common.False) { 
RDebugUtils.currentLine=1376258;
 //BA.debugLineNum = 1376258;BA.debugLine="Log(LastException.Message)";
anywheresoftware.b4a.keywords.Common.Log(anywheresoftware.b4a.keywords.Common.LastException(mostCurrent.activityBA).getMessage());
RDebugUtils.currentLine=1376260;
 //BA.debugLineNum = 1376260;BA.debugLine="Msgbox(\"Kein FTP Zugriff. Prüfe bitte die Inte";
anywheresoftware.b4a.keywords.Common.Msgbox("Kein FTP Zugriff. Prüfe bitte die Internet Verbindung! Ein Neustart der App kann helfen.","Abstimmen",mostCurrent.activityBA);
 }else {
RDebugUtils.currentLine=1376262;
 //BA.debugLineNum = 1376262;BA.debugLine="FTP.close '1.24";
_ftp.Close();
RDebugUtils.currentLine=1376263;
 //BA.debugLineNum = 1376263;BA.debugLine="File.Delete(work_path, fname)";
anywheresoftware.b4a.keywords.Common.File.Delete(mostCurrent._work_path,mostCurrent._fname);
 };
RDebugUtils.currentLine=1376265;
 //BA.debugLineNum = 1376265;BA.debugLine="End Sub";
return "";
}
public static String  _hilfe_click() throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=393216;
 //BA.debugLineNum = 393216;BA.debugLine="Sub Hilfe_click";
RDebugUtils.currentLine=393218;
 //BA.debugLineNum = 393218;BA.debugLine="If version_type = \"people\" Then";
if ((_version_type).equals("people")) { 
RDebugUtils.currentLine=393219;
 //BA.debugLineNum = 393219;BA.debugLine="Msgbox(\"Suche deinen Lieblingssong!\" & CRLF &";
anywheresoftware.b4a.keywords.Common.Msgbox("Suche deinen Lieblingssong!"+anywheresoftware.b4a.keywords.Common.CRLF+"- Mit kurzem Klick erhälst du Infos."+anywheresoftware.b4a.keywords.Common.CRLF+"- Mit langem Klick zur Hitparade."+anywheresoftware.b4a.keywords.Common.CRLF+"- Suche Titel, Interpret, Genre (z.B. Pop)"+anywheresoftware.b4a.keywords.Common.CRLF+"- Im Menü kannst du Schlager filtern und"+anywheresoftware.b4a.keywords.Common.CRLF+"  zwichen Version 'Publikum' od. 'Musiker'"+anywheresoftware.b4a.keywords.Common.CRLF+"  umschalten. Als Musiker kannst du den"+anywheresoftware.b4a.keywords.Common.CRLF+"  Songtext anzeigen lassen (Word Viewer"+anywheresoftware.b4a.keywords.Common.CRLF+"  und Internet-Zugang nötig).","Hilfe",mostCurrent.activityBA);
 }else {
RDebugUtils.currentLine=393230;
 //BA.debugLineNum = 393230;BA.debugLine="Msgbox(\"Suche deinen Lieblingssong!\" & CRLF &";
anywheresoftware.b4a.keywords.Common.Msgbox("Suche deinen Lieblingssong!"+anywheresoftware.b4a.keywords.Common.CRLF+"- Mit kurzem Klick erhälst du Infos."+anywheresoftware.b4a.keywords.Common.CRLF+"- Mit langem Klick Text öffnen."+anywheresoftware.b4a.keywords.Common.CRLF+"- Suche Titel, Interpret, Genre (z.B. Pop)"+anywheresoftware.b4a.keywords.Common.CRLF+"- Im Menü kannst du Schlager filtern und"+anywheresoftware.b4a.keywords.Common.CRLF+"  zwichen Version 'Publikum' od. 'Musiker'"+anywheresoftware.b4a.keywords.Common.CRLF+"  umschalten. Als Musiker kannst du den"+anywheresoftware.b4a.keywords.Common.CRLF+"  Songtext anzeigen lassen (Word Viewer"+anywheresoftware.b4a.keywords.Common.CRLF+"  und Internet-Zugang nötig).","Hilfe",mostCurrent.activityBA);
 };
RDebugUtils.currentLine=393242;
 //BA.debugLineNum = 393242;BA.debugLine="End Sub";
return "";
}
public static String  _imageview1_click() throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=458752;
 //BA.debugLineNum = 458752;BA.debugLine="Sub ImageView1_Click";
RDebugUtils.currentLine=458753;
 //BA.debugLineNum = 458753;BA.debugLine="Msgbox(\"Weitere Infos zu unserer schönen Kneip";
anywheresoftware.b4a.keywords.Common.Msgbox("Weitere Infos zu unserer schönen Kneipe findet ihr unter www.maschinchen-buntes.de. Mit einem langen Klick auf das Logo rufst du unsere Internetseite direkt auf.","Maschinchen Buntes",mostCurrent.activityBA);
RDebugUtils.currentLine=458754;
 //BA.debugLineNum = 458754;BA.debugLine="End Sub";
return "";
}
public static String  _imageview1_longclick() throws Exception{
RDebugUtils.currentModule="main";
anywheresoftware.b4a.phone.Phone.PhoneIntents _p = null;
RDebugUtils.currentLine=524288;
 //BA.debugLineNum = 524288;BA.debugLine="Sub ImageView1_LongClick";
RDebugUtils.currentLine=524289;
 //BA.debugLineNum = 524289;BA.debugLine="Dim p As PhoneIntents";
_p = new anywheresoftware.b4a.phone.Phone.PhoneIntents();
RDebugUtils.currentLine=524290;
 //BA.debugLineNum = 524290;BA.debugLine="StartActivity(p.OpenBrowser(\"http://www.maschin";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(_p.OpenBrowser("http://www.maschinchen-buntes.de")));
RDebugUtils.currentLine=524291;
 //BA.debugLineNum = 524291;BA.debugLine="End Sub";
return "";
}
public static String  _listview1_itemclick(int _position,Object _value) throws Exception{
RDebugUtils.currentModule="main";
String _spielbar = "";
RDebugUtils.currentLine=1441792;
 //BA.debugLineNum = 1441792;BA.debugLine="Sub ListView1_ItemClick (Position As Int, Value As";
RDebugUtils.currentLine=1441793;
 //BA.debugLineNum = 1441793;BA.debugLine="Dim spielbar As String '1.18";
_spielbar = "";
RDebugUtils.currentLine=1441794;
 //BA.debugLineNum = 1441794;BA.debugLine="spalte = Value";
mostCurrent._spalte = (com.Wunschkonzert.App.main._data)(_value);
RDebugUtils.currentLine=1441795;
 //BA.debugLineNum = 1441795;BA.debugLine="If spalte.spielbar = \"1\" Then '1.18";
if ((mostCurrent._spalte.Spielbar).equals("1")) { 
RDebugUtils.currentLine=1441796;
 //BA.debugLineNum = 1441796;BA.debugLine="spielbar = \"Infos\"";
_spielbar = "Infos";
 }else {
RDebugUtils.currentLine=1441798;
 //BA.debugLineNum = 1441798;BA.debugLine="spielbar = \"Leider nicht spielbar\"";
_spielbar = "Leider nicht spielbar";
 };
RDebugUtils.currentLine=1441800;
 //BA.debugLineNum = 1441800;BA.debugLine="Msgbox(\"Songbook \" & spalte.Songbook & \", Seite \"";
anywheresoftware.b4a.keywords.Common.Msgbox("Songbook "+mostCurrent._spalte.Songbook+", Seite "+mostCurrent._spalte.Seite+", Tonart "+mostCurrent._spalte.Tonart.trim()+", Genre "+mostCurrent._spalte.Genre.trim()+", Sprache "+mostCurrent._spalte.Sprache.trim(),_spielbar,mostCurrent.activityBA);
RDebugUtils.currentLine=1441801;
 //BA.debugLineNum = 1441801;BA.debugLine="End Sub";
return "";
}
public static String  _listview1_itemlongclick(int _position,Object _value) throws Exception{
RDebugUtils.currentModule="main";
int _result = 0;
long _now = 0L;
String _dt = "";
String _tm = "";
RDebugUtils.currentLine=1310720;
 //BA.debugLineNum = 1310720;BA.debugLine="Sub ListView1_ItemLongClick (Position As Int, Valu";
RDebugUtils.currentLine=1310721;
 //BA.debugLineNum = 1310721;BA.debugLine="Dim result As Int";
_result = 0;
RDebugUtils.currentLine=1310722;
 //BA.debugLineNum = 1310722;BA.debugLine="Dim now As Long";
_now = 0L;
RDebugUtils.currentLine=1310723;
 //BA.debugLineNum = 1310723;BA.debugLine="Dim dt As String";
_dt = "";
RDebugUtils.currentLine=1310724;
 //BA.debugLineNum = 1310724;BA.debugLine="Dim tm As String";
_tm = "";
RDebugUtils.currentLine=1310726;
 //BA.debugLineNum = 1310726;BA.debugLine="If version_type = \"people\" Then '1.18";
if ((_version_type).equals("people")) { 
RDebugUtils.currentLine=1310727;
 //BA.debugLineNum = 1310727;BA.debugLine="now = DateTime.now";
_now = anywheresoftware.b4a.keywords.Common.DateTime.getNow();
RDebugUtils.currentLine=1310728;
 //BA.debugLineNum = 1310728;BA.debugLine="dt = DateTime.Date(now)";
_dt = anywheresoftware.b4a.keywords.Common.DateTime.Date(_now);
RDebugUtils.currentLine=1310729;
 //BA.debugLineNum = 1310729;BA.debugLine="dt = dt.Replace(\"/\",\"\")";
_dt = _dt.replace("/","");
RDebugUtils.currentLine=1310730;
 //BA.debugLineNum = 1310730;BA.debugLine="dt = dt.SubString(4) & dt.SubString2(0,2) & dt.S";
_dt = _dt.substring((int) (4))+_dt.substring((int) (0),(int) (2))+_dt.substring((int) (2),(int) (4));
RDebugUtils.currentLine=1310731;
 //BA.debugLineNum = 1310731;BA.debugLine="tm = DateTime.Time(now)";
_tm = anywheresoftware.b4a.keywords.Common.DateTime.Time(_now);
RDebugUtils.currentLine=1310732;
 //BA.debugLineNum = 1310732;BA.debugLine="tm = tm.Replace(\":\",\"\")";
_tm = _tm.replace(":","");
RDebugUtils.currentLine=1310733;
 //BA.debugLineNum = 1310733;BA.debugLine="tm = tm.SubString2(0,4)";
_tm = _tm.substring((int) (0),(int) (4));
RDebugUtils.currentLine=1310734;
 //BA.debugLineNum = 1310734;BA.debugLine="fname = \"\"";
mostCurrent._fname = "";
RDebugUtils.currentLine=1310736;
 //BA.debugLineNum = 1310736;BA.debugLine="If dt = wann OR wann = \"00000000\" OR wann = \"0\"";
if ((_dt).equals(mostCurrent._wann) || (mostCurrent._wann).equals("00000000") || (mostCurrent._wann).equals("0")) { 
RDebugUtils.currentLine=1310737;
 //BA.debugLineNum = 1310737;BA.debugLine="If tm >= von AND tm <= bis Then";
if ((double)(Double.parseDouble(_tm))>=(double)(Double.parseDouble(mostCurrent._von)) && (double)(Double.parseDouble(_tm))<=(double)(Double.parseDouble(mostCurrent._bis))) { 
RDebugUtils.currentLine=1310739;
 //BA.debugLineNum = 1310739;BA.debugLine="spalte = Value";
mostCurrent._spalte = (com.Wunschkonzert.App.main._data)(_value);
RDebugUtils.currentLine=1310740;
 //BA.debugLineNum = 1310740;BA.debugLine="If spalte.Spielbar = \"1\" Then";
if ((mostCurrent._spalte.Spielbar).equals("1")) { 
RDebugUtils.currentLine=1310741;
 //BA.debugLineNum = 1310741;BA.debugLine="result = Msgbox2(spalte.titel & \" - \" & spalte";
_result = anywheresoftware.b4a.keywords.Common.Msgbox2(mostCurrent._spalte.Titel+" - "+mostCurrent._spalte.Interpret,"In die Hitparade","Ja","Nein","",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA);
RDebugUtils.currentLine=1310742;
 //BA.debugLineNum = 1310742;BA.debugLine="If result = DialogResponse.POSITIVE Then";
if (_result==anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE) { 
RDebugUtils.currentLine=1310743;
 //BA.debugLineNum = 1310743;BA.debugLine="If zz < wieoft Then";
if (_zz<_wieoft) { 
RDebugUtils.currentLine=1310744;
 //BA.debugLineNum = 1310744;BA.debugLine="zz = zz + 1";
_zz = (int) (_zz+1);
RDebugUtils.currentLine=1310745;
 //BA.debugLineNum = 1310745;BA.debugLine="File.WriteString(work_path, wann & \"howmuc";
anywheresoftware.b4a.keywords.Common.File.WriteString(mostCurrent._work_path,mostCurrent._wann+"howmuch.txt",BA.NumberToString(_zz));
RDebugUtils.currentLine=1310746;
 //BA.debugLineNum = 1310746;BA.debugLine="fname = phone_name & \"_\" & now & \".dat\"";
mostCurrent._fname = _phone_name+"_"+BA.NumberToString(_now)+".dat";
RDebugUtils.currentLine=1310747;
 //BA.debugLineNum = 1310747;BA.debugLine="File.WriteString(work_path, fname, spalte.";
anywheresoftware.b4a.keywords.Common.File.WriteString(mostCurrent._work_path,mostCurrent._fname,mostCurrent._spalte.Titel+";"+mostCurrent._spalte.Interpret+";"+_dt+";"+_tm+";"+_phone_name);
RDebugUtils.currentLine=1310748;
 //BA.debugLineNum = 1310748;BA.debugLine="If File.Exists(work_path, fname) Then";
if (anywheresoftware.b4a.keywords.Common.File.Exists(mostCurrent._work_path,mostCurrent._fname)) { 
RDebugUtils.currentLine=1310749;
 //BA.debugLineNum = 1310749;BA.debugLine="FTP.Initialize(\"FTP\", \"f";
_ftp.Initialize(processBA,"FTP","ftp.strato.com",(int) (21),"ftp_apps@maschinchen-buntes.de","b4a.apps.%");
RDebugUtils.currentLine=1310750;
 //BA.debugLineNum = 1310750;BA.debugLine="FTP.UploadFile(work_path, fname, False, \"/";
_ftp.UploadFile(processBA,mostCurrent._work_path,mostCurrent._fname,anywheresoftware.b4a.keywords.Common.False,"/wunschkonzert/hitparade/"+mostCurrent._fname);
 };
 }else {
RDebugUtils.currentLine=1310753;
 //BA.debugLineNum = 1310753;BA.debugLine="Msgbox(\"Du hast schon \" & wieoft & \" Mal a";
anywheresoftware.b4a.keywords.Common.Msgbox("Du hast schon "+BA.NumberToString(_wieoft)+" Mal abgestimmt. Sorry!","Fehler",mostCurrent.activityBA);
 };
 };
 }else {
RDebugUtils.currentLine=1310757;
 //BA.debugLineNum = 1310757;BA.debugLine="Msgbox(\"Der Song ist nicht spielbar.";
anywheresoftware.b4a.keywords.Common.Msgbox("Der Song ist nicht spielbar. Er darf nicht in die Hitparade!","In die Hitparade",mostCurrent.activityBA);
 };
 }else {
RDebugUtils.currentLine=1310760;
 //BA.debugLineNum = 1310760;BA.debugLine="Msgbox(\"Abstimmen bitte zwischen \" & von.Su";
anywheresoftware.b4a.keywords.Common.Msgbox("Abstimmen bitte zwischen "+mostCurrent._von.substring((int) (0),(int) (2))+":"+mostCurrent._von.substring((int) (2))+" und "+mostCurrent._bis.substring((int) (0),(int) (2))+":"+mostCurrent._bis.substring((int) (2))+" Uhr. Sorry!","Fehler",mostCurrent.activityBA);
 };
 }else {
RDebugUtils.currentLine=1310763;
 //BA.debugLineNum = 1310763;BA.debugLine="Msgbox(\"Die Abstimmung ist am \" & wann.SubStr";
anywheresoftware.b4a.keywords.Common.Msgbox("Die Abstimmung ist am "+mostCurrent._wann.substring((int) (6))+"."+mostCurrent._wann.substring((int) (4),(int) (6))+"."+_dt.substring((int) (0),(int) (4))+". Sorry!","Fehler",mostCurrent.activityBA);
 };
 }else {
RDebugUtils.currentLine=1310767;
 //BA.debugLineNum = 1310767;BA.debugLine="spalte = Value '1.19";
mostCurrent._spalte = (com.Wunschkonzert.App.main._data)(_value);
RDebugUtils.currentLine=1310768;
 //BA.debugLineNum = 1310768;BA.debugLine="songname = spalte.songbook & \".doc-Seite-\" & s";
_songname = mostCurrent._spalte.Songbook+".doc-Seite-"+mostCurrent._spalte.Seite+".doc";
RDebugUtils.currentLine=1310769;
 //BA.debugLineNum = 1310769;BA.debugLine="If File.Exists(work_path, songname) = False Th";
if (anywheresoftware.b4a.keywords.Common.File.Exists(mostCurrent._work_path,_songname)==anywheresoftware.b4a.keywords.Common.False) { 
RDebugUtils.currentLine=1310770;
 //BA.debugLineNum = 1310770;BA.debugLine="FTP.Initialize(\"FTP\", \"ftp.strato.com\",";
_ftp.Initialize(processBA,"FTP","ftp.strato.com",(int) (21),"ftp_apps@maschinchen-buntes.de","b4a.apps.%");
RDebugUtils.currentLine=1310771;
 //BA.debugLineNum = 1310771;BA.debugLine="FTP.DownLoadFile(\"/wunschkonzert/songs/\"";
_ftp.DownloadFile(processBA,"/wunschkonzert/songs/"+_songname,anywheresoftware.b4a.keywords.Common.False,mostCurrent._work_path,_songname);
 }else {
RDebugUtils.currentLine=1310773;
 //BA.debugLineNum = 1310773;BA.debugLine="open_song";
_open_song();
 };
 };
RDebugUtils.currentLine=1310776;
 //BA.debugLineNum = 1310776;BA.debugLine="End Sub";
return "";
}
public static String  _schlager_click() throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Sub Schlager_Click '1.16";
RDebugUtils.currentLine=196609;
 //BA.debugLineNum = 196609;BA.debugLine="If schlager = \"ohne\" Then '1.16";
if ((_schlager).equals("ohne")) { 
RDebugUtils.currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="schlager = \"mit\"";
_schlager = "mit";
RDebugUtils.currentLine=196611;
 //BA.debugLineNum = 196611;BA.debugLine="windowtitle = Activity.title";
mostCurrent._windowtitle = BA.ObjectToString(mostCurrent._activity.getTitle());
RDebugUtils.currentLine=196612;
 //BA.debugLineNum = 196612;BA.debugLine="Activity.Title = windowtitle.Replace(\"ohne\"";
mostCurrent._activity.setTitle((Object)(mostCurrent._windowtitle.replace("ohne","mit")));
 }else {
RDebugUtils.currentLine=196614;
 //BA.debugLineNum = 196614;BA.debugLine="schlager = \"ohne\"";
_schlager = "ohne";
RDebugUtils.currentLine=196615;
 //BA.debugLineNum = 196615;BA.debugLine="windowtitle = Activity.title";
mostCurrent._windowtitle = BA.ObjectToString(mostCurrent._activity.getTitle());
RDebugUtils.currentLine=196616;
 //BA.debugLineNum = 196616;BA.debugLine="Activity.Title = windowtitle.Replace(\"mit\",";
mostCurrent._activity.setTitle((Object)(mostCurrent._windowtitle.replace("mit","ohne")));
 };
RDebugUtils.currentLine=196618;
 //BA.debugLineNum = 196618;BA.debugLine="Select Case sort_type";
switch (BA.switchObjectToInt(mostCurrent._sort_type,"T","I","G")) {
case 0:
RDebugUtils.currentLine=196620;
 //BA.debugLineNum = 196620;BA.debugLine="Button1_Click";
_button1_click();
 break;
case 1:
RDebugUtils.currentLine=196622;
 //BA.debugLineNum = 196622;BA.debugLine="Button2_Click";
_button2_click();
 break;
case 2:
RDebugUtils.currentLine=196624;
 //BA.debugLineNum = 196624;BA.debugLine="Button3_Click";
_button3_click();
 break;
}
;
RDebugUtils.currentLine=196626;
 //BA.debugLineNum = 196626;BA.debugLine="End Sub";
return "";
}
public static String  _version_click() throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub Version_Click '1.08";
RDebugUtils.currentLine=262145;
 //BA.debugLineNum = 262145;BA.debugLine="If version_type = \"music\" Then";
if ((_version_type).equals("music")) { 
RDebugUtils.currentLine=262146;
 //BA.debugLineNum = 262146;BA.debugLine="version_type = \"people\"";
_version_type = "people";
RDebugUtils.currentLine=262147;
 //BA.debugLineNum = 262147;BA.debugLine="windowtitle = Activity.title";
mostCurrent._windowtitle = BA.ObjectToString(mostCurrent._activity.getTitle());
RDebugUtils.currentLine=262148;
 //BA.debugLineNum = 262148;BA.debugLine="Activity.Title = windowtitle.Replace(\"Musike";
mostCurrent._activity.setTitle((Object)(mostCurrent._windowtitle.replace("Musiker","Publikum")));
 }else {
RDebugUtils.currentLine=262150;
 //BA.debugLineNum = 262150;BA.debugLine="version_type = \"music\"";
_version_type = "music";
RDebugUtils.currentLine=262151;
 //BA.debugLineNum = 262151;BA.debugLine="windowtitle = Activity.title";
mostCurrent._windowtitle = BA.ObjectToString(mostCurrent._activity.getTitle());
RDebugUtils.currentLine=262152;
 //BA.debugLineNum = 262152;BA.debugLine="Activity.Title = windowtitle.Replace(\"Publik";
mostCurrent._activity.setTitle((Object)(mostCurrent._windowtitle.replace("Publikum","Musiker")));
 };
RDebugUtils.currentLine=262154;
 //BA.debugLineNum = 262154;BA.debugLine="End Sub";
return "";
}
}